## backharddi-ng 0.23.1precise1

=== Makefile ===
srelease:
	dpkg-buildpackage -S -I.git -I.project -I.gitignore -I.pydevproject -Iold
	fakeroot ./debian/rules clean
	
brelease:
	dpkg-buildpackage -b -I.git -I.project -I.gitignore -I.pydevproject -Iold
	fakeroot ./debian/rules clean

=== gfxboot/Makefile ===
ifneq ($(BINDIR),)
BINDIR      := $(BINDIR)/
else
BINDIR      := $(dir $(firstword $(wildcard /usr/bin/gfxboot-compile) $(wildcard /usr/bin/mkbootmsg) $(wildcard ../../gfxboot-compile) $(wildcard ../../mkbootmsg)))
endif
ifneq ($(PRIVBINDIR),)
PRIVBINDIR  := $(PRIVBINDIR)/
else
PRIVBINDIR  := $(dir $(firstword $(wildcard /usr/share/gfxboot/bin/keymapchars) $(wildcard ../../keymapchars)))
endif

ifneq (,$(wildcard $(BINDIR)gfxboot-compile))
MKBOOTMSG    = $(BINDIR)gfxboot-compile
else
MKBOOTMSG    = $(BINDIR)mkbootmsg
endif
KEYMAPCHARS  = $(PRIVBINDIR)keymapchars
BFLAGS       = -O -v -L ../..
INCLUDES     = $(wildcard *.inc)
# Filter out Arabic, Indic languages, and Thai, which we cannot render, and
# Dzongkha and Mongolian, which ought to be rendered vertically.
# gfxboot has no bidirectional text support yet
# (https://bugs.launchpad.net/ubuntu/+source/gfxboot/+bug/212491) so
# right-to-left languages (Arabic and Hebrew) won't work.
TRANSLATIONS = $(addsuffix .tr,en $(filter-out ar bn dz gu he hi km ml mn ne pa ta th, $(notdir $(basename $(wildcard po/*.po)))))

DEFAULT_LANG = es

PIC_COMMON   = back.jpg

FILES_CORE   = init

INST_EXT     = langlist $(TRANSLATIONS) 16x16.fnt $(PIC_COMMON)

FILES_INST   = $(FILES_CORE) $(INST_EXT)

FILES_BOOT   = $(FILES_CORE) langlist $(TRANSLATIONS) 16x16.fnt \
	       $(PIC_COMMON)

FILES_BOOT_EN = $(FILES_CORE) en.tr 16x16.fnt $(PIC_COMMON)

ifdef DEFAULT_LANG
FILES_INST += lang
FILES_BOOT += lang
FILES_BOOT_EN += lang $(DEFAULT_LANG).tr
endif

.PHONY: all themes font clean po

all: themes

boot install: po
	mkdir -p $@

po:
	make -C po

themes: bootdir installdir

bootdir: boot.config boot $(INCLUDES)
	@cp -a po/*.tr boot
	@for i in $(FILES_BOOT) ; do [ -f $$i ] && cp $$i boot ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l boot/log -c $< boot/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >boot/lang
endif
	@cd boot && echo $(FILES_BOOT) | sed -e "s/ /\n/g" | cpio --quiet -o >message

installdir: install.config install $(INCLUDES)
	@cp -a po/*.tr install
	@for i in $(FILES_INST) ; do [ -f $$i ] && cp $$i install ; done ; true
	$(MKBOOTMSG) $(BFLAGS) -l install/log -c $< install/init
ifdef DEFAULT_LANG
	@echo $(DEFAULT_LANG) >install/lang
endif
	@cd install && echo $(FILES_CORE) | sed -e "s/ /\n/g" | cpio --quiet -o >bootlogo
	@tar -C install -czf install/bootlogo.tar.gz bootlogo $(INST_EXT)

font:
	@if [ -z "$(DI_PATH)" ]; then echo "Please set DI_PATH to an unpacked debian-installer source tree" >&2; exit 1; fi
	cat po/*.po >tmp.txt
	cat $(DI_PATH)/build/boot/x86/po/*.po >>tmp.txt
	mkblfont -v -l 18 -p /usr/share/fonts/X11/misc \
	-c ISO-8859-15 -c ISO-8859-2 -c koi8-r \
	`$(KEYMAPCHARS) keytables.inc` \
	-t tmp.txt \
	-t install/log -t boot/log \
	-t langlist -t langnames.inc \
	-f unifont:prop=2:space_width=4 \
	16x16.fnt >16x16.fnt.log
	rm -f tmp.txt

clean:
	make -C po clean
	rm -f bootdir installdir *~ *.log
	rm -rf boot install

=== debian/changelog ===
backharddi-ng (0.23.1precise1) precise; urgency=low

  * Generación de medios arrancables de forma correcta con syslinux >= 4.0
  * Construcción en precise

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Tue, 29 May 2012 18:18:55 +0200

backharddi-ng (0.23.1) lucid; urgency=low

  * No se cancela la grabación al cancelar la generación al vuelo de un CD/DVD
    de recuperación.

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Wed, 21 Dec 2011 18:00:38 +0100

backharddi-ng (0.23) lucid; urgency=low

  * Eliminado botón de sincronización de la interfaz web.
  * Se mantiene la selección de clientes al actualizarse la lista en la
    interfaz web.
  * Se mantiene el scroll de la ventana de grupos al actualizarse la lista en
    la interfaz web.

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Tue, 15 Nov 2011 18:30:43 +0100

backharddi-ng (0.22) lucid; urgency=low

  * Subida dependencia de backharddi-ng-kernel.

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Mon, 14 Nov 2011 19:50:40 +0100

backharddi-ng (0.21) lucid; urgency=low

  * Subida dependencia de backharddi-ng-kernel.
  * Mejora de la fiabilidad del arranque del servicio de red.

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Wed, 09 Nov 2011 13:59:28 +0100

backharddi-ng (0.20) lucid; urgency=low

  * Selector gráfico de nombre de fichero en los asistentes de generación de
    CD/DVD's de recuperación y dispositivos de arranque
  * No se escribe en los ficheros img originales al generar un CD/DVD de
    recuperación
  * Ahora funcionan correctamente los botones de cancelar en el asistente de
    generación de CD/DVD's de recuperación
  * Mejoras de fiabilidad al iniciar el servicio de red
  * Se da un nombre más descriptivo a los grupos que se forman desde la
    interfaz web de control
  * Forzado alto de ventana en asistentes de generación de CD/DVD's y medios
    de arranque

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Thu, 03 Nov 2011 18:43:43 +0100

backharddi-ng (0.19) lucid; urgency=low

  * Reducción del log generado por el servicio de red
  * Posibilidad de apagar y eliminar equipos en la interfaz web de control
  * Añadido botón para sincronizar clientes permitiendo la selección múltiple de
    clientes cuando hay muchos en la interfaz web de control
  * Si se produce un error en algunos miembros de un grupo al lanzarlo desde la
    interfaz web de control el resto de miembros sigue adelante pasados 60 segundos

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Wed, 02 Nov 2011 18:45:27 +0100

backharddi-ng (0.18) lucid; urgency=low

  * Corregido error al manejar udp-sender por el cual se servia el siguiente fichero
    aunque la transferencia se hubiera abortado.
  * Se comprueba que el puerto no esté ocupado para levantar un nuevo manejador de
    udp-sender.

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Thu, 24 Mar 2011 12:19:07 +0100

backharddi-ng (0.17.1) lucid; urgency=low

  * Arreglado fallo de construcción

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Tue, 21 Dec 2010 17:37:26 +0100

backharddi-ng (0.17) lucid; urgency=low

  * Se autoconfigura y arranca servicio de proxy DHCP para arrancar equipos por PXE
    sin necesidad de configurar el servicio DHCP de la red.
  * Se establece el parámetro backharddi/net/server para que los equipos que arranquen
    por PXE encuentren en cualquier caso al servidor de Backharddi NG.
  * Añadido parámetro a growisofs para que se sigan enlaces y así generar
    correctamente DVD's de recuperación cuando se graban al vuelo.
  * Añadida la posibilidad de seleccionar qué van a arrancar los equipos en el
    siguiente arranque

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Tue, 21 Dec 2010 11:55:10 +0100

backharddi-ng (0.16) lucid; urgency=low

  * Los medios de arranque basados en pendrive se generan con syslinux exclusivamente
    y con mejor compatibilidad con ciertas BIOS

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Mon, 15 Nov 2010 14:01:42 +0100

backharddi-ng (0.15) lucid; urgency=low

  * Añadido lanzador al menu aplicaciones
  * Implementado manejo de múltiples particiones de backup
  * Implementado el control remoto de los equipos cliente

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Thu, 04 Nov 2010 19:09:19 +0100

backharddi-ng (0.14.1) lucid; urgency=low

  * Corregido error al autogenerar la configuración de tftp para arranque por PXE
  * Corregido error tipográfico en el número de puerto de tftp

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Wed, 03 Nov 2010 19:18:19 +0100

backharddi-ng (0.14) lucid; urgency=low

  * Posibilidad de funcionar sin partición de backup
  * El puerto de subida de metadatos de la copia de seguridad se cierra al terminar la subida
  * Ampliada la posibilidad de subida de metadatos a 16 MB
  * Corregido error tipografico en scripts de generación de DVD's de recuperación y medios de arranque
  * Posibilidad de generar DVD's de recuperación desde directorio local
  * Parametrizado de directorio local almacen de copias de seguridad y directorio raiz donde se autogenerará la configuración para arranque por PXE
  * En caso de no encontrarse un servicio de tftp funcionando al iniciar el servicio se arrancará.
  * Se autogenera una configuración de tftp para arranque por PXE de Backharddi NG

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Wed, 03 Nov 2010 18:45:31 +0100

backharddi-ng (0.13) lucid; urgency=low

  * Conflicto con backharddi-ng-net

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Thu, 16 Sep 2010 13:30:09 +0200

backharddi-ng (0.12) lucid; urgency=low

  * Reemplaza a backharddi-ng-net

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Thu, 16 Sep 2010 12:43:42 +0200

backharddi-ng (0.11) lucid; urgency=low

  * Compatibilidad con versión 0.7 de backharddi-ng-kernel. 

 -- Pedro Peña Pérez <pedro.pena@open-phoenix.com>  Mon, 28 Jun 2010 11:33:05 +0200

backharddi-ng (0.10) karmic; urgency=high



=== debian/control ===
Source: backharddi-ng
Section: utils
Priority: optional
Maintainer: Pedro Peña Pérez <pedro.pena@open-phoenix.com>
Build-Depends: debhelper (>= 4.0.0), gfxboot-dev, cpio
Standards-Version: 3.6.1

Package: backharddi-ng
Architecture: all
Depends: backharddi-ng-kernel-i386 (>= 0.31) | backharddi-ng-kernel-amd64 (>= 0.31), grub-pc | grub | lilo, e2fsprogs, grep, sed, mount, findutils, genisoimage, dvd+rw-tools, wodim, zenity, syslinux (>= 3.63), memtest86+, udpcast (>= 20100130), python-twisted, python-dbus, python-cjson, lvm2, hal, dnsmasq, sshpass, python-netifaces, python-ipaddr
Replaces: backharddi-ng-net
Conflicts: backharddi-ng-net
Description: Next Generation Hard Disk Backup based on Debian Installer

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	make -C gfxboot clean
	dh_clean 

build:
	make -C gfxboot

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install backharddi-ng.desktop backharddi-ng_dvd.desktop backharddi-ng_boot.desktop usr/share/applications
	dh_install backharddi-ng.png backharddi-ng_dvd.svg backharddi-ng_boot.svg usr/share/pixmaps
	dh_install backharddi-ng-dvd.sh backharddi-ng-boot.sh backharddi-ng-url usr/bin
	dh_install backharddi-ng-dvd.filelist backharddi-ng-boot.filelist usr/share/backharddi-ng
	dh_install src usr/share/backharddi-ng/python
	cp passwd backharddi-ng.tac $(CURDIR)/debian/backharddi-ng/etc/backharddi-ng
	chmod 600 $(CURDIR)/debian/backharddi-ng/etc/backharddi-ng/passwd
	cp debian/init.d $(CURDIR)/debian/backharddi-ng/etc/init.d/backharddi-ng
	cp debian/default $(CURDIR)/debian/backharddi-ng/etc/default/backharddi-ng
	cp -rv common isolinux syslinux $(CURDIR)/debian/backharddi-ng/usr/share/backharddi-ng
	rm gfxboot/install/*.tar.gz gfxboot/install/log
	cp -rv gfxboot/install/* $(CURDIR)/debian/backharddi-ng/usr/share/backharddi-ng/common
	cp -rv gfxboot/boot/message $(CURDIR)/debian/backharddi-ng/usr/share/backharddi-ng/grub

	dh_install debian/grub.d/55_backharddi-ng etc/grub.d/

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_gconf
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
